---
_import: ../../_global.yaml
_overrider:
    pruner:
        type: mayo.override.DynamicNetworkSurgeryPruner
        should_update: false
        _priority: 100
    weights:
        prune: $(_overrider.pruner)
        quantize:
            type: mayo.override.IncrementalQuantizer
            enable: true
            interval: 0.25
            _priority: 80
            count_zero: False
            quantizer:
                type: mayo.override.ShiftScaleQuantizer
                width: 4
                exponent_bias: 20
                overflow_rate: 0.0
                should_update: true
                stochastic: false
    depthwise_weights: &dweights
        quantize:
            type: mayo.override.IncrementalQuantizer
            enable: true
            interval: 0.25
            _priority: 80
            count_zero: False
            quantizer:
                type: mayo.override.ShiftScaleQuantizer
                width: 4
                exponent_bias: 20
                overflow_rate: 0.0
                should_update: true
                stochastic: false
    biases: {<<: *dweights}
